New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Errors in <StrictMode /> #88

Open
nhardy opened this Issue Dec 4, 2018 · 0 comments

Comments

Projects
None yet
1 participant
@nhardy

nhardy commented Dec 4, 2018

The component lifecycle componentWillMount will be deprecated in a future 16.x version of React and removed in React 17. This blog post explains more.

The legacy context API will also be removed in React 17, replaced with the new context API introduced in 16.3.

These two APIs currently log errors when rendered in a <StrictMode /> tree, and are a blocker for React's Concurrent Mode.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment